%define major 0
%define rname bsd
%define libname %mklibname %{rname} %{major}
%define libnamedev %mklibname %{rname} -d

Name:		libbsd
Summary:	Library providing BSD-compatible functions for portability
Group:		System/Libraries
Version:	0.6.0
Release:	%mkrel 2
License:	BSD and ISC and Copyright only and Public Domain
URL:		http://libbsd.freedesktop.org/
Source0:	http://libbsd.freedesktop.org/releases/%{name}-%{version}.tar.xz

%description
libbsd provides useful functions commonly found on BSD systems, and
lacking on others like GNU systems, thus making it easier to port
projects with strong BSD origins, without needing to embed the same
code over and over again on each project.

%package -n %{libname}
Summary:	libbsdb libary
Group:		System/Libraries
Conflicts:	libbsd

%description -n %{libname}
libbsd libary.

%files -n %{libname}
%{_libdir}/lib%{rname}.so.%{major}*

#--------------------------------------------------------------------
%package -n %{libnamedev}
Summary:	Development files for libbsd
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files for the libbsd library.

%files -n %{libnamedev}
%doc ChangeLog COPYING README TODO
%{_mandir}/man3/*
%{_includedir}/%{rname}/
%{_libdir}/lib%{rname}.so
%{_libdir}/libbsd-ctor.a
%{_libdir}/pkgconfig/lib%{rname}*.pc

#--------------------------------------------------------------------
%prep
%setup -q

%build
%configure2_5x \
    --disable-static
%make

%install
%makeinstall_std
# clean .la files
rm %{buildroot}%{_libdir}/libbsd.la


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.6.0-2.mga4
+ Revision: 531290
- Mageia 4 Mass Rebuild

* Sat Aug 03 2013 fwang <fwang> 0.6.0-1.mga4
+ Revision: 462821
- new version 0.6.0

* Sat Jan 12 2013 umeabot <umeabot> 0.4.2-2.mga3
+ Revision: 356875
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 11 2012 pterjan <pterjan> 0.4.2-1.mga3
+ Revision: 269338
- Update to 0.4.2

* Fri Jun 15 2012 shlomif <shlomif> 0.4.1-2.mga3
+ Revision: 260850
- Get lib64bsd to work properly. Thanks to simplew.

* Fri Jun 08 2012 shlomif <shlomif> 0.4.1-1.mga3
+ Revision: 257988
- New version: 0.4.1

* Wed Jun 06 2012 shlomif <shlomif> 0.3.0-4.mga3
+ Revision: 256602
- Correct the devel package Group
- Correct the group
- Bump the release
- Fix the man pages globs

  + kamil <kamil>
    - imported package libbsd


* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Oct 08 2011 Eric Smith <eric@brouhaha.com> - 0.3.0-1
- Update to latest upstream release.
- Removed Patch0, fixed upstream.
- Removed BuildRoot, clean, defattr.

* Fri Jan 29 2010 Eric Smith <eric@brouhaha.com> - 0.2.0-3
- changes based on review by Sebastian Dziallas

* Fri Jan 29 2010 Eric Smith <eric@brouhaha.com> - 0.2.0-2
- changes based on review comments by Jussi Lehtola and Ralf Corsepious

* Thu Jan 28 2010 Eric Smith <eric@brouhaha.com> - 0.2.0-1
- initial version
